4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.SortElement

xsl:sort implementation Copyright 2005 Fourthought, Inc. (USA). Detailed license and copyright information: http://4suite.org/COPYRIGHT Project home, documentation, distributions: http://4suite.org/

Classes: Descending, SortElement |  |  |  | Functions: FloatCompare, LowerFirstCompare, UpperFirstCompare |  |  |  | Globals: EMPTY_NAMESPACE

## Classes

class Descending

  ### Methods

  __call__(self, a, b)
  __init__(self, comparer)
class SortElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

  ### Methods

  evaluate(self, context)
  getComparer(self, context)
  makeComparer(self, order, data_type, case_order)
  setup(self)
    Overrides: setup from class XsltElement

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime

  ### Members

  category = None
  content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
  doesSetup = 1
  legalAttrs = {'case-order': <Ft.Xml.Xslt.AttributeInfo.ChoiceAvt instance>, 'data-type': <Ft.Xml.Xslt.AttributeInfo.ChoiceAvt instance>, 'lang': <Ft.Xml.Xslt.AttributeInfo.NMTokenAvt instance>, 'order': <Ft.Xml.Xslt.AttributeInfo.ChoiceAvt instance>, 'select': <Ft.Xml.Xslt.AttributeInfo.StringExpression instance>}

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, expandedName, importIndex, lineNumber, nodeName, parent, root

## Functions

FloatCompare(a, b)
LowerFirstCompare(a, b)
UpperFirstCompare(a, b)

## Globals

EMPTY_NAMESPACE = None